PDA

Visualizza la versione completa : debian lenny: problemi nel montare le chiavette usb


magnet_80
04-09-2007, 21:26
buona sera a tutti.
ho un ulteriore problema. con debian lenny, kernel 2.6.18-4-686, quando inserisco una qualunque (ne ho 4) di chiavette usb sulle porte della scheda madre, mi compare la seguente finestra di errore in konqueror:
errore - kio_media_mounterhelp (titolo di erroree della finestra)
mount: wrong fs type, bad option, bad superblock on dev/sdb1, missing codepage or other error in some cases useful info is foud in syslog - try dmesg | tail
qui l'errore di dmesg | tail
andrea@andrea:~$ dmesg | tail
sdb: Mode Sense: 43 00 00 00
sdb: assuming drive cache: write through
SCSI device sdb: 506880 512-byte hdwr sectors (260 MB)
sdb: Write Protect is off
sdb: Mode Sense: 43 00 00 00
sdb: assuming drive cache: write through
sdb: sdb1
sd 3:0:0:0: Attached scsi removable disk sdb
usb-storage: device scan complete
FAT: Unrecognized mount option "flush" or missing value
andrea@andrea:~$
le chiavette sotto xp vengono lette. ho provato a formattare 1 chiavetta in xp e a ricollegarla su linux ma mi da sempre lo stesso errore.
come hd ho un sata partizionato come /root e /home
soluzione? grazie

gio14
05-09-2007, 02:17
udev e installato?

magnet_80
05-09-2007, 19:19
si, è installato. versione 0.114-2
ciao

magnet_80
07-09-2007, 21:33
ho trovato un piccolo problemino. mi sono chiesto: provo a disintallare udev e a reinstallarlo, però ho visto che mi avrebbe cancellato kde e il kernel in uso. così l'ho marcato, tramite synaptic, come reinstallazione completa. ho notato, che si va a cercare il kernel 2.16.21-2 e più precisamente, visualizzando i details di synaptic, ho trovato questo errore:

configuro udev (0.144-2)
/boot/initrd.img-2.6.21-2-686 does not exist. Cannot update

qualche soluzione?
vi informo che un paio di mesi fa, avevo installato il kernel 2.6.21-2-686, ma lo avevo rimosso poichè non riuscivo a installare i driver nvidia a causa di "paravirt_ops"
vedasi discussione http://forum.html.it/forum/showthread.php?threadid=1143193

andy caps
07-09-2007, 21:40
disinstallalo con il apt-get --purge remove
oppure rimuovi i riferimenti in /boot/grub /menu.lst e i moduli in /lib/modules e i files in /boot rimasti di quel kernel

magnet_80
07-09-2007, 21:58
se rimuovo udev, mi viene un collasso.... (leggi ciò che toglie!!!)
andrea:/home/andrea# apt-get --purge remove udev
Lettura della lista dei pacchetti in corso... Fatto
Generazione dell'albero delle dipendenze in corso
Reading state information... Fatto
The following packages were automatically installed and are no longer required:
libwine
Use 'apt-get autoremove' to remove them.
I seguenti pacchetti saranno RIMOSSI:
gnome-mount* hal* initramfs-tools* kde* kde-amusements* kde-core* kdebase*
linux-image-2.6.18-4-686* network-manager* network-manager-kde* udev*
0 aggiornati, 0 installati, 11 da rimuovere e 0 non aggiornati.
È necessario prendere 0B di archivi.
Dopo l'estrazione, verranno liberati 56,4MB di spazio su disco.
Continuare [S/n]? n
Interrotto.
invece, menu.lst non ha il kernel 2.6.21, e nella dir /lib/modules ho eliminato la dir del kernel 2.6.21, in /boot ho solo i file del 2.6.18
che faccio? provo a togliere udev con tutto kde e poi lo reinstallo?
ciao e grazie

andy caps
07-09-2007, 22:33
non devi rimuovere udev
prova a fare il reinstall come prima

prova a montare manualmente l a chiavetta altrove

mkdir /mnt/key

mount /dev/sdb1 /mnt/key

magnet_80
07-09-2007, 22:49
se faccio il procedimento di
mkdir /mnt/key
mount /dev/sdb1 /mnt/key
leggo la chiavetta e vedo i file in essa contenuti (operazione seguita come root)
se faccio il reinstall di udev, visualizzando i details di synaptic, ho trovato questo errore:

configuro udev (0.144-2)
/boot/initrd.img-2.6.21-2-686 does not exist. Cannot update

proverò a continuare domani mattina. ciao e grazie per l'aiuto fin d'ora

andy caps
07-09-2007, 22:58
reinstalla il kernel 2.6.21-2-686 poi rimuovilo se lo hai sempre disponibile

psykopear
08-09-2007, 10:05
Sai che ho lo stesso identico spiccicato problema? Anch'io ho debian lenny, anch'io uso il kernel 2.6.18-4-486 causa driver nvidia, e anche a me da quell'errore mettendo le chiavette e dando il dmesg | tail.... Ora vedo se risolvo montando su un altra directory, basta che ritrovo la chiavetta ^^

Loading